class Admin::PropertyItemsController < OrbitAdminController
	def index
		@table_fields = [:title,:category,t("property.item_date")]
		@property_items = PropertyItem.all
		@tags = @module_app.tags
		@categories = @module_app.categories
		@filter_fields = filter_fields(@categories, @tags)
		@property_items = PropertyItem.order_by(sort).with_categories(filters("category")).with_tags(filters("tag"))

		@property_items = search_data(@property_items,[:title]).page(params[:page]).per(10)
	end

	def new
		@property_item = PropertyItem.new
		@tags = @module_app.tags
		@categories = @module_app.categories
		@labs = Lab.all
	end 

	def create
		@property_item = PropertyItem.new(property_item_vars)
		@property_item.save
		redirect_to admin_property_items_path
	end

	def destroy
		property_item = PropertyItem.find(params[:id])
		property_item.destroy
		redirect_to admin_property_items_path
	end

	def edit
		@property_item = PropertyItem.find(params[:id])
		if can_edit_or_delete?(@property_item)
			@tags = @module_app.tags
			@categories = @module_app.categories
		else
			render_401
		end
	end

	def update
		property_item = PropertyItem.find(params[:id])

		property_item.update_attributes(property_item_vars)
		property_item.save
		redirect_to admin_property_items_path
	end

	def setup_vars
		@module_app = ModuleApp.where(:key => "property").first
	end

	def property_item_vars
		params.require(:property_item).permit!
	end
end