# encoding: utf-8
class PropertyItem
	include Mongoid::Document
	include Mongoid::Timestamps

	include OrbitCategory::Categorizable
	include OrbitModel::Status
	include OrbitTag::Taggable
	include Slug

	field :title , localize: true 
	field :postdate , :type => DateTime , :default => Time.now
	field :item_id , type: String 
	field :description , localize: true 
	field :item_date , :type => Date
	field :phone_number 
	field :price

	mount_uploader :image, ImageUploader
	
	has_many :digital_content_archive_files, :autosave => true, :dependent => :destroy
	belongs_to :lab
	belongs_to :member_profile
end 